## ncrystal 2.7.3%2Bds1

=== debian/watch ===
version=4
opts=\
"dversionmangle=auto,\
repack, repacksuffix=+ds1,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/ncrystal-$1.tar.gz/" \
 https://github.com/mctools/ncrystal/releases .*/archive.*/v?([\d\.]+).tar.gz

## ncrystal 2.7.3+ds1

=== CMakeLists.txt ===
################################################################################
##                                                                            ##
##  This file is part of NCrystal (see https://mctools.github.io/ncrystal/)   ##
##                                                                            ##
##  Copyright 2015-2021 NCrystal developers                                   ##
##                                                                            ##
##  Licensed under the Apache License, Version 2.0 (the "License");           ##
##  you may not use this file except in compliance with the License.          ##
##  You may obtain a copy of the License at                                   ##
##                                                                            ##
##      http://www.apache.org/licenses/LICENSE-2.0                            ##
##                                                                            ##
##  Unless required by applicable law or agreed to in writing, software       ##
##  distributed under the License is distributed on an "AS IS" BASIS,         ##
##  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  ##
##  See the License for the specific language governing permissions and       ##
##  limitations under the License.                                            ##
##                                                                            ##
################################################################################

##################################################################################
#                                                                                #
# CMake file which can be used to compile and link all files distributed with    #
# NCrystal, and which provides CMake configuration files and setup.sh/unsetup.sh #
# for subsequent usage.                                                          #
#                                                                                #
# One way to invoke cmake to build and install would be like this (run this from #
# a temporary build dir)                                                         #
#                                                                                #
#  $> cmake /path/to/sourcedir -DCMAKE_INSTALL_PREFIX=/path/to/installdir        #
#                                                                                #
# Followed by (replace the number 8 by the number of processes you want to       #
# use for the compilation):                                                      #
#                                                                                #
#  $> make install -j8                                                           #
#                                                                                #
# Written 2016-2021 by T. Kittelmann.                                            #
#                                                                                #
##################################################################################

# We require cmake 3.10. This is intended to strike a balance between features
# and availability. Of popular platforms, a lower number would only have helped
# NCrystal usage on a few slightly older distributions such as Ubuntu 16.04 (has
# 3.5.1), Debian oldstable (has 3.7.2 as of Nov2020). CentOS6 and CentOS7 have
# CMake 2.8.12 which is clearly below any sensible threshold, so users on these
# platforms can already be expected to be used to install custom versions of
# tools like CMake (for instance CentOS7 provides cmake3 as a separate package,
# providing CMake 3.11). In any case, on platforms lacking CMake 3.10, one
# must install a newer cmake somehow (this is usually rather simple). See also:
# https://cliutils.gitlab.io/modern-cmake/chapters/intro/installing.html
#
# The maximum value is the maximum value with which we have tested. The reason
# for specifying this maximum value is that it affects the default values of
# cmake policies, depending on which version introduced them.

cmake_minimum_required(VERSION 3.10...3.19)

# Respect value of CMAKE_BUILD_TYPE if already defined, otherwise fall back to
# Release. In any case, expose CMAKE_BUILD_TYPE as an explicit cache variable
# (gives drop-down list in gui). This must come before the call to project(..).
if(NOT DEFINED NCRYSTAL_NOTOUCH_CMAKE_BUILD_TYPE)
  if(DEFINED CMAKE_BUILD_TYPE)
    set(_def_cbt ${CMAKE_BUILD_TYPE})
  else()
    set(_def_cbt Release)
  endif()
  set(CMAKE_BUILD_TYPE ${_def_cbt}  CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel and None (None means that CMAKE_CXX_FLAGS or CMAKE_C_FLAGS are used)." )
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS Debug Release RelWithDebInfo MinSizeRel None )
endif()

#Setup project:
project(NCrystal VERSION 2.7.3 LANGUAGES CXX C)

if(NOT DEFINED NCRYSTAL_NOTOUCH_CMAKE_BUILD_TYPE)
  if ("${CMAKE_BUILD_TYPE}" STREQUAL "")
    #This can happen if parent project called the project(..) function before
    #doing the song and dance we did above.
    set(CMAKE_BUILD_TYPE Release)
  endif()
endif()

#Options:
option( BUILD_EXAMPLES  "Whether to build examples." ON )
option( BUILD_G4HOOKS   "Whether to build the G4 hooks (requires Geant4 to be available)." OFF )
option( BUILD_EXTRA     "Whether to build optional modules for .nxs/.laz/.lau support (nb: different license!)." ON )
set( BUILD_STRICT OFF CACHE STRING "Stricter build (primarily for testing). Can optionally select specific C++ standard.")
set_property(CACHE BUILD_STRICT PROPERTY STRINGS ON OFF 11 14 17 20 )
option( INSTALL_MCSTAS  "Whether to install the NCrystal mcstas component and related scripts." ON )
option( INSTALL_PY      "Whether to install the NCrystal python module and various python scripts (including ncrystal-config)." ON )
option( INSTALL_DATA    "Whether to install the shipped data files (always .ncmat files, .nxs files when BUILD_EXTRA=ON)." ON )
option( INSTALL_SETUPSH "Whether to install setup.sh/unsetup.sh which users can source in order to use installaton." ON )
option( EMBED_DATA      "Whether to embed the shipped .ncmat files directly into the NCrystal library (forces INSTALL_DATA=OFF)." OFF )
option( MODIFY_RPATH    "Whether to try to set RPATH in installed binaries (if disabled all special RPATH handling is skipped)." ON )
option( DISABLE_DYNLOAD "Disable dynamic library loading capabilities (incl. plugins)." OFF )

set(BUILTIN_PLUGIN_LIST "" CACHE STRING
    "Semicolon separated list of external NCrystal plugins to statically build into the NCrystal library (local paths to sources or git <repo_url:tag>)" )


#Installation directories (try to follow standard conventions):
include(GNUInstallDirs)
set(NCrystal_BINDIR "${CMAKE_INSTALL_BINDIR}")#e.g. <prefix>/bin>
set(NCrystal_LIBDIR "${CMAKE_INSTALL_LIBDIR}")#e.g. <prefix>/lib>
set(NCrystal_INCDIR "${CMAKE_INSTALL_INCLUDEDIR}")#e.g. <prefix>/include>
set(NCrystal_DATAROOT "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}")#e.g. <prefix>/share/NCrystal>
set(NCrystal_DATAFILESDIR "${NCrystal_DATAROOT}/data")#e.g. <prefix>/share/NCrystal/data>
set(NCrystal_PYPATH "${NCrystal_DATAROOT}/python")#e.g. <prefix>/share/NCrystal/python
set(NCrystal_PYMODDIR "${NCrystal_PYPATH}/NCrystal")#e.g. <prefix>/share/NCrystal/python/NCrystal
#set(NCrystal_DOCDIR "${CMAKE_INSTALL_DOCDIR}")#e.g. <prefix>/doc>#todo: use
set(NCrystal_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake")#e.g. <prefix>/lib/cmake>

#Get a few relative paths, mostly for expansion in various installed files (we
#use PROJECT_BINARY_DIR as prefix here, but it should not matter which as long
#as it is an absolute path):
file(RELATIVE_PATH NCrystal_relpath_PYMODDIR2LIBDIR "${PROJECT_BINARY_DIR}/${NCrystal_PYMODDIR}" "${PROJECT_BINARY_DIR}/${NCrystal_LIBDIR}")
file(RELATIVE_PATH NCrystal_relpath_BINDIR2LIBDIR   "${PROJECT_BINARY_DIR}/${NCrystal_BINDIR}"   "${PROJECT_BINARY_DIR}/${NCrystal_LIBDIR}")
file(RELATIVE_PATH NCrystal_relpath_BINDIR2DATAROOT "${PROJECT_BINARY_DIR}/${NCrystal_BINDIR}"   "${PROJECT_BINARY_DIR}/${NCrystal_DATAROOT}")
file(RELATIVE_PATH NCrystal_relpath_BINDIR2CMAKEDIR "${PROJECT_BINARY_DIR}/${NCrystal_BINDIR}"   "${PROJECT_BINARY_DIR}/${NCrystal_CMAKEDIR}")
file(RELATIVE_PATH NCrystal_relpath_BINDIR2INCDIR   "${PROJECT_BINARY_DIR}/${NCrystal_BINDIR}"   "${PROJECT_BINARY_DIR}/${NCrystal_INCDIR}")
file(RELATIVE_PATH NCrystal_relpath_BINDIR2ROOT     "${PROJECT_BINARY_DIR}/${NCrystal_BINDIR}"   "${PROJECT_BINARY_DIR}/")
file(RELATIVE_PATH NCrystal_relpath_CMAKEDIR2ROOT   "${PROJECT_BINARY_DIR}/${NCrystal_CMAKEDIR}" "${PROJECT_BINARY_DIR}/")
file(RELATIVE_PATH NCrystal_relpath_CMAKEDIR2BINDIR   "${PROJECT_BINARY_DIR}/${NCrystal_CMAKEDIR}" "${PROJECT_BINARY_DIR}/${NCrystal_BINDIR}")
file(RELATIVE_PATH NCrystal_relpath_CMAKEDIR2LIBDIR   "${PROJECT_BINARY_DIR}/${NCrystal_CMAKEDIR}" "${PROJECT_BINARY_DIR}/${NCrystal_LIBDIR}")
file(RELATIVE_PATH NCrystal_relpath_CMAKEDIR2INCDIR   "${PROJECT_BINARY_DIR}/${NCrystal_CMAKEDIR}" "${PROJECT_BINARY_DIR}/${NCrystal_INCDIR}")
file(RELATIVE_PATH NCrystal_relpath_CMAKEDIR2PYPATH   "${PROJECT_BINARY_DIR}/${NCrystal_CMAKEDIR}" "${PROJECT_BINARY_DIR}/${NCrystal_PYPATH}")
file(RELATIVE_PATH NCrystal_relpath_CMAKEDIR2DATAFILESDIR   "${PROJECT_BINARY_DIR}/${NCrystal_CMAKEDIR}" "${PROJECT_BINARY_DIR}/${NCrystal_DATAFILESDIR}")


#Dummy interface target for common properties. Note that the interface is always
#built with C++11 compatible compiler (which CMake will choose from a wide
#variety depending on platform and other targets,
#i.e. C++11/C++14/C++17/gnu++11/...). The BUILD_STRICT option only affects
#private non-transitive properties.
add_library( common INTERFACE )
target_compile_features( common INTERFACE cxx_std_11 )

#Properties for executables and G4NCrystal library (can't transfer all
#properties via INTERFACE targets, so we need this variable-based workaround):
set( binaryprops "" )#empty list
set( libncg4props "" )#empty list

if ( MODIFY_RPATH )
  #Set RPATH properties. For some annoying reason, this is not possible to do
  #via interface targets, so we have to use a variable-based workaround:
  if ( NOT DEFINED CMAKE_INSTALL_RPATH_USE_LINK_PATH )
    #TODO: Figure out if we really need this (perhaps only for geant4 targets?)
    set( CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE )
  endif()
  if( NOT APPLE )
    #Relocatable RPATHS: $ORIGIN in RPATH (including the $-char!!)  means the
    #location of the binary requiring the dependency:
    list( APPEND binaryprops INSTALL_RPATH "$ORIGIN/${NCrystal_relpath_BINDIR2LIBDIR}" )
    list( APPEND libncg4props INSTALL_RPATH $ORIGIN )
  else()
    #On OSX, rpaths are absolute paths (todo: revisit if this is still the case)
    get_filename_component( tmp "${CMAKE_INSTALL_PREFIX}/${NCrystal_LIBDIR}" ABSOLUTE)
    list( APPEND binaryprops INSTALL_RPATH  "${tmp}" )
    list( APPEND libncg4brops INSTALL_RPATH "${tmp}" )
  endif()

  #Test if compiler supports -Wl,--disable-new-dtags. If it does, apply it
  #(otherwise RPATH sections in binaries become RUNPATH instead, which can be
  #overridden by users LD_LIBRARY_PATH (CMake>=3.14 is needed for LINK_OPTIONS on
  #try_compile and for the target_link_options function):
  #
  #NB: CMake 3.18 introduces CheckLinkerFlag module which we can eventually use
  #    instead of try_compile!!
  if( ${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.14.0" )
    set(TMP_TESTDIR ${PROJECT_BINARY_DIR}/test_dtagflags)
    file(WRITE ${TMP_TESTDIR}/test.c "int main() { return 0; }\n")
    try_compile(LINKER_HAS_DTAGS "${TMP_TESTDIR}" "${TMP_TESTDIR}/test.c" LINK_OPTIONS -Wl,--disable-new-dtags)
    if (LINKER_HAS_DTAGS)
      #target_link_options(NCrystal PUBLIC "-Wl,--disable-new-dtags")
      target_link_options( common INTERFACE -Wl,--disable-new-dtags )
    endif()
  endif()

endif()

# Look for input files. Apparently "file(GLOB ...)" is frowned upon by some

=== debian/changelog ===
ncrystal (2.7.3+ds1-4) unstable; urgency=medium

  * Update Vcs-* and Maintainer/Uploaders fields in debian/control.

 -- Roland Mas <lolando@debian.org>  Wed, 02 Feb 2022 21:01:16 +0100

ncrystal (2.7.3+ds1-3) unstable; urgency=medium

  * Source-only upload for migration to testing.

 -- Roland Mas <lolando@debian.org>  Mon, 31 Jan 2022 13:02:03 +0100

ncrystal (2.7.3+ds1-2) unstable; urgency=medium

  * Update license of debian/* files in debian/copyright.

 -- Roland Mas <lolando@debian.org>  Tue, 28 Dec 2021 14:59:37 +0100

ncrystal (2.7.3+ds1-1) unstable; urgency=medium

  * Initial release.

 -- Roland Mas <lolando@debian.org>  Wed, 17 Nov 2021 16:12:59 +0100

## ncrystal 3.4.1+ds1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ##                                                                            ##
 ##  This file is part of NCrystal (see https://mctools.github.io/ncrystal/)   ##
 ##                                                                            ##
-##  Copyright 2015-2021 NCrystal developers                                   ##
+##  Copyright 2015-2022 NCrystal developers                                   ##
 ##                                                                            ##
 ##  Licensed under the Apache License, Version 2.0 (the "License");           ##
 ##  you may not use this file except in compliance with the License.          ##
@@ -34,7 +34,7 @@
 #                                                                                #
 #  $> make install -j8                                                           #
 #                                                                                #
-# Written 2016-2021 by T. Kittelmann.                                            #
+# Written 2016-2022 by T. Kittelmann.                                            #
 #                                                                                #
 ##################################################################################
 
@@ -58,20 +58,20 @@
 # Respect value of CMAKE_BUILD_TYPE if already defined, otherwise fall back to
 # Release. In any case, expose CMAKE_BUILD_TYPE as an explicit cache variable
 # (gives drop-down list in gui). This must come before the call to project(..).
-if(NOT DEFINED NCRYSTAL_NOTOUCH_CMAKE_BUILD_TYPE)
+if( NOT NCRYSTAL_NOTOUCH_CMAKE_BUILD_TYPE )
   if(DEFINED CMAKE_BUILD_TYPE)
     set(_def_cbt ${CMAKE_BUILD_TYPE})
   else()
     set(_def_cbt Release)
   endif()
-  set(CMAKE_BUILD_TYPE ${_def_cbt}  CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo MinSizeRel and None (None means that CMAKE_CXX_FLAGS or CMAKE_C_FLAGS are used)." )
+  set(CMAKE_BUILD_TYPE ${_def_cbt}  CACHE STRING "Choose the type of build, options are: Debug Release RelWithDebInfo and MinSizeRel." )
   set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS Debug Release RelWithDebInfo MinSizeRel None )
 endif()
 
 #Setup project:
-project(NCrystal VERSION 2.7.3 LANGUAGES CXX C)
+project(NCrystal VERSION 3.4.1 LANGUAGES CXX C)
 
-if(NOT DEFINED NCRYSTAL_NOTOUCH_CMAKE_BUILD_TYPE)
+if( NOT NCRYSTAL_NOTOUCH_CMAKE_BUILD_TYPE )
   if ("${CMAKE_BUILD_TYPE}" STREQUAL "")
     #This can happen if parent project called the project(..) function before
     #doing the song and dance we did above.
@@ -82,20 +82,29 @@
 #Options:
 option( BUILD_EXAMPLES  "Whether to build examples." ON )
 option( BUILD_G4HOOKS   "Whether to build the G4 hooks (requires Geant4 to be available)." OFF )
-option( BUILD_EXTRA     "Whether to build optional modules for .nxs/.laz/.lau support (nb: different license!)." ON )
+option( BUILD_EXTRA     "Obsolete option. For .nxs support use -DBUILTIN_PLUGIN_LIST=mctools:nxslib (not needed for .laz/.lau support)." OFF )
 set( BUILD_STRICT OFF CACHE STRING "Stricter build (primarily for testing). Can optionally select specific C++ standard.")
 set_property(CACHE BUILD_STRICT PROPERTY STRINGS ON OFF 11 14 17 20 )
 option( INSTALL_MCSTAS  "Whether to install the NCrystal mcstas component and related scripts." ON )
 option( INSTALL_PY      "Whether to install the NCrystal python module and various python scripts (including ncrystal-config)." ON )
-option( INSTALL_DATA    "Whether to install the shipped data files (always .ncmat files, .nxs files when BUILD_EXTRA=ON)." ON )
+option( INSTALL_DATA    "Whether to install the shipped data files." ON )
 option( INSTALL_SETUPSH "Whether to install setup.sh/unsetup.sh which users can source in order to use installaton." ON )
 option( EMBED_DATA      "Whether to embed the shipped .ncmat files directly into the NCrystal library (forces INSTALL_DATA=OFF)." OFF )
 option( MODIFY_RPATH    "Whether to try to set RPATH in installed binaries (if disabled all special RPATH handling is skipped)." ON )
 option( DISABLE_DYNLOAD "Disable dynamic library loading capabilities (incl. plugins)." OFF )
+option( NO_DIRECT_PYMODINST "Prevents Python module installation and creates setup.py-based skeleton in <blddir>/ncrystal_pypkg (w/o _nclibpath.py file)." OFF )
 
 set(BUILTIN_PLUGIN_LIST "" CACHE STRING
     "Semicolon separated list of external NCrystal plugins to statically build into the NCrystal library (local paths to sources or git <repo_url:tag>)" )
 
+if ( NO_DIRECT_PYMODINST )
+  if ( NOT INSTALL_PY )
+    message(FATAL_ERROR "The NO_DIRECT_PYMODINST flag requires -DINSTALL_PY=ON.")
+  endif()
+  if ( INSTALL_SETUPSH )
+    message(FATAL_ERROR "The NO_DIRECT_PYMODINST flag requires -DINSTALL_SETUPSH=OFF.")
+  endif()
+endif()
 
 #Installation directories (try to follow standard conventions):
 include(GNUInstallDirs)
@@ -103,16 +112,27 @@
 set(NCrystal_LIBDIR "${CMAKE_INSTALL_LIBDIR}")#e.g. <prefix>/lib>
 set(NCrystal_INCDIR "${CMAKE_INSTALL_INCLUDEDIR}")#e.g. <prefix>/include>
 set(NCrystal_DATAROOT "${CMAKE_INSTALL_DATADIR}/${PROJECT_NAME}")#e.g. <prefix>/share/NCrystal>
-set(NCrystal_DATAFILESDIR "${NCrystal_DATAROOT}/data")#e.g. <prefix>/share/NCrystal/data>
-set(NCrystal_PYPATH "${NCrystal_DATAROOT}/python")#e.g. <prefix>/share/NCrystal/python
-set(NCrystal_PYMODDIR "${NCrystal_PYPATH}/NCrystal")#e.g. <prefix>/share/NCrystal/python/NCrystal
-#set(NCrystal_DOCDIR "${CMAKE_INSTALL_DOCDIR}")#e.g. <prefix>/doc>#todo: use
-set(NCrystal_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake")#e.g. <prefix>/lib/cmake>
+if( NOT NCrystal_DATAFILESDIR )
+  set( NCrystal_DATAFILESDIR "${NCrystal_DATAROOT}/data")#e.g. <prefix>/share/NCrystal/data>
+endif()
+if( NOT NCrystal_PYPATH )
+  set(NCrystal_PYPATH "${NCrystal_DATAROOT}/python")#e.g. <prefix>/share/NCrystal/python
+endif()
+if ( NOT NCrystal_CMAKEDIR )
+  set(NCrystal_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/${PROJECT_NAME}")#e.g. <prefix>/lib/cmake/NCrystal>
+endif()
+if ( NOT NO_DIRECT_PYMODINST )
+  set(NCrystal_PYMODDIR "${NCrystal_PYPATH}/NCrystal")#e.g. <prefix>/share/NCrystal/python/NCrystal
+endif()
 
 #Get a few relative paths, mostly for expansion in various installed files (we
 #use PROJECT_BINARY_DIR as prefix here, but it should not matter which as long
 #as it is an absolute path):
-file(RELATIVE_PATH NCrystal_relpath_PYMODDIR2LIBDIR "${PROJECT_BINARY_DIR}/${NCrystal_PYMODDIR}" "${PROJECT_BINARY_DIR}/${NCrystal_LIBDIR}")
+if ( NOT NO_DIRECT_PYMODINST )
+  file(RELATIVE_PATH NCrystal_relpath_PYMODDIR2LIBDIR "${PROJECT_BINARY_DIR}/${NCrystal_PYMODDIR}" "${PROJECT_BINARY_DIR}/${NCrystal_LIBDIR}")
+  file(RELATIVE_PATH NCrystal_relpath_CMAKEDIR2PYPATH   "${PROJECT_BINARY_DIR}/${NCrystal_CMAKEDIR}" "${PROJECT_BINARY_DIR}/${NCrystal_PYPATH}")
+  file(RELATIVE_PATH NCrystal_relpath_BINDIR2PYPATH "${PROJECT_BINARY_DIR}/${NCrystal_BINDIR}"   "${PROJECT_BINARY_DIR}/${NCrystal_PYPATH}")
+endif()
 file(RELATIVE_PATH NCrystal_relpath_BINDIR2LIBDIR   "${PROJECT_BINARY_DIR}/${NCrystal_BINDIR}"   "${PROJECT_BINARY_DIR}/${NCrystal_LIBDIR}")
 file(RELATIVE_PATH NCrystal_relpath_BINDIR2DATAROOT "${PROJECT_BINARY_DIR}/${NCrystal_BINDIR}"   "${PROJECT_BINARY_DIR}/${NCrystal_DATAROOT}")
 file(RELATIVE_PATH NCrystal_relpath_BINDIR2CMAKEDIR "${PROJECT_BINARY_DIR}/${NCrystal_BINDIR}"   "${PROJECT_BINARY_DIR}/${NCrystal_CMAKEDIR}")
@@ -122,9 +142,11 @@
 file(RELATIVE_PATH NCrystal_relpath_CMAKEDIR2BINDIR   "${PROJECT_BINARY_DIR}/${NCrystal_CMAKEDIR}" "${PROJECT_BINARY_DIR}/${NCrystal_BINDIR}")
 file(RELATIVE_PATH NCrystal_relpath_CMAKEDIR2LIBDIR   "${PROJECT_BINARY_DIR}/${NCrystal_CMAKEDIR}" "${PROJECT_BINARY_DIR}/${NCrystal_LIBDIR}")
 file(RELATIVE_PATH NCrystal_relpath_CMAKEDIR2INCDIR   "${PROJECT_BINARY_DIR}/${NCrystal_CMAKEDIR}" "${PROJECT_BINARY_DIR}/${NCrystal_INCDIR}")
-file(RELATIVE_PATH NCrystal_relpath_CMAKEDIR2PYPATH   "${PROJECT_BINARY_DIR}/${NCrystal_CMAKEDIR}" "${PROJECT_BINARY_DIR}/${NCrystal_PYPATH}")
 file(RELATIVE_PATH NCrystal_relpath_CMAKEDIR2DATAFILESDIR   "${PROJECT_BINARY_DIR}/${NCrystal_CMAKEDIR}" "${PROJECT_BINARY_DIR}/${NCrystal_DATAFILESDIR}")
 
+if ( BUILD_EXTRA )
+  message(FATAL_ERROR "The BUILD_EXTRA flag is obsolete. Laz/Lau support is now builtin to the core NCrystal code and is always available. Support for .nxs files is on the other hand moved to a separate repository for license reasons. If you need support for .nxs files, you should add mctools:nxslib to the BUILTIN_PLUGIN_LIST (e.g. -DBUILTIN_PLUGIN_LIST=mctools:nxslib)")
+endif()
 
 #Dummy interface target for common properties. Note that the interface is always
 #built with C++11 compatible compiler (which CMake will choose from a wide
@@ -155,26 +177,3 @@
     #On OSX, rpaths are absolute paths (todo: revisit if this is still the case)
     get_filename_component( tmp "${CMAKE_INSTALL_PREFIX}/${NCrystal_LIBDIR}" ABSOLUTE)
     list( APPEND binaryprops INSTALL_RPATH  "${tmp}" )
-    list( APPEND libncg4brops INSTALL_RPATH "${tmp}" )
-  endif()
-
-  #Test if compiler supports -Wl,--disable-new-dtags. If it does, apply it
-  #(otherwise RPATH sections in binaries become RUNPATH instead, which can be
-  #overridden by users LD_LIBRARY_PATH (CMake>=3.14 is needed for LINK_OPTIONS on
-  #try_compile and for the target_link_options function):
-  #
-  #NB: CMake 3.18 introduces CheckLinkerFlag module which we can eventually use
-  #    instead of try_compile!!
-  if( ${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.14.0" )
-    set(TMP_TESTDIR ${PROJECT_BINARY_DIR}/test_dtagflags)
-    file(WRITE ${TMP_TESTDIR}/test.c "int main() { return 0; }\n")
-    try_compile(LINKER_HAS_DTAGS "${TMP_TESTDIR}" "${TMP_TESTDIR}/test.c" LINK_OPTIONS -Wl,--disable-new-dtags)
-    if (LINKER_HAS_DTAGS)
-      #target_link_options(NCrystal PUBLIC "-Wl,--disable-new-dtags")
-      target_link_options( common INTERFACE -Wl,--disable-new-dtags )
-    endif()
-  endif()
-
-endif()
-
-# Look for input files. Apparently "file(GLOB ...)" is frowned upon by some

=== debian/changelog ===
ncrystal (3.4.1+ds1-1) unstable; urgency=medium

  * New upstream release.
  * Bug fix: "ftbfs on riscv64, armel, mipsel", thanks to Bo YU (Closes:
    #1018292).

 -- Roland Mas <lolando@debian.org>  Fri, 11 Nov 2022 15:53:29 +0100

=== debian/control ===
Source: ncrystal
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Roland Mas <lolando@debian.org>
Build-Depends: debhelper-compat (= 13), cmake
Standards-Version: 4.6.0
Section: libs
Homepage: https://mctools.github.io/ncrystal/
Vcs-Git: https://salsa.debian.org/science-team/ncrystal.git
Vcs-Browser: https://salsa.debian.org/science-team/ncrystal
Rules-Requires-Root: no

Package: libncrystal-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libncrystal1 (= ${binary:Version}), ${misc:Depends}
Description: Monte Carlo simulations of neutrons in crystals (dev files)
 This is a source distribution of NCrystal, a library and associated
 tools which enables calculations for Monte Carlo simulations of
 thermal neutrons in crystals.
 .
 This package contains the development files.

Package: libncrystal1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Monte Carlo simulations of neutrons in crystals (library)
 This is a source distribution of NCrystal, a library and associated
 tools which enables calculations for Monte Carlo simulations of
 thermal neutrons in crystals.
 .
 This package contains the shared library.

Package: libncrystal-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Monte Carlo simulations of neutrons in crystals (data files)
 This is a source distribution of NCrystal, a library and associated
 tools which enables calculations for Monte Carlo simulations of
 thermal neutrons in crystals.
 .
 This package contains the data files.

Package: libncrystal-bin
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, python3
Description: Monte Carlo simulations of neutrons in crystals (utilities)
 This is a source distribution of NCrystal, a library and associated
 tools which enables calculations for Monte Carlo simulations of
 thermal neutrons in crystals.
 .
 This package contains the command-line utilities.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

#override_dh_auto_configure:
#	dh_auto_configure -- \
#	-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH)

=== debian/watch ===
version=4
opts=\
"dversionmangle=auto,\
repack,repacksuffix=+ds1,\
filenamemangle=s/.*?(\d[\d\.]*@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
https://github.com/mctools/ncrystal/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## ncrystal verify-4.2.4

=== CMakeLists.txt ===

################################################################################
##                                                                            ##
##  This file is part of NCrystal (see https://mctools.github.io/ncrystal/)   ##
##                                                                            ##
##  Copyright 2015-2025 NCrystal developers                                   ##
##                                                                            ##
##  Licensed under the Apache License, Version 2.0 (the "License");           ##
##  you may not use this file except in compliance with the License.          ##
##  You may obtain a copy of the License at                                   ##
##                                                                            ##
##      http://www.apache.org/licenses/LICENSE-2.0                            ##
##                                                                            ##
##  Unless required by applicable law or agreed to in writing, software       ##
##  distributed under the License is distributed on an "AS IS" BASIS,         ##
##  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  ##
##  See the License for the specific language governing permissions and       ##
##  limitations under the License.                                            ##
##                                                                            ##
################################################################################

cmake_minimum_required(VERSION 3.25...3.31)

if ( NOT SKBUILD_PROJECT_NAME )
  message( FATAL_ERROR "This CMakeLists.txt is only for scikit-build-core" )
endif()

project( "${SKBUILD_PROJECT_NAME}" VERSION "${SKBUILD_PROJECT_VERSION}" )

set ( ncrystal_skbld_autogendir "${PROJECT_SOURCE_DIR}/skbld_autogen" )

if ( EXISTS "${ncrystal_skbld_autogendir}/is_sdist.txt"
     AND NOT "${SKBUILD_STATE}" STREQUAL "sdist" )
  message(STATUS "Running from sdist - will not clean autogenerated files")
else()
  if ( IS_DIRECTORY "${ncrystal_skbld_autogendir}" )
    message( STATUS "Cleaning out ${ncrystal_skbld_autogendir}" )
    file( REMOVE_RECURSE "${ncrystal_skbld_autogendir}" )
  endif()
  file( MAKE_DIRECTORY "${ncrystal_skbld_autogendir}" )
  if ( "${SKBUILD_STATE}" STREQUAL "sdist" )
    file(TOUCH "${ncrystal_skbld_autogendir}/is_sdist.txt")
  endif()
endif()

set( pymoddir "${ncrystal_skbld_autogendir}/_ncrystal_verify" )
if ( "${SKBUILD_STATE}" STREQUAL "sdist"
    OR NOT EXISTS "${pymoddir}/__init__.py" )
  find_package( Python 3.8 COMPONENTS Interpreter REQUIRED )
    execute_process(
      COMMAND "${Python_EXECUTABLE}" "-BI" "${PROJECT_SOURCE_DIR}/generate.py"
      RESULT_VARIABLE status
    )
    if( status AND NOT status EQUAL 0 )
      message(FATAL_ERROR "Failure while trying to invoke generate.py")
    endif()
endif()
